---

- name: Compress previous version
  command: tar cf {{ offen_root_dir }}/archives/{{ offen_current_version }}.tar.zst --use-compress-program=zstd ./
  args:
    chdir: "{{ offen_root_dir }}/archives/{{ offen_current_version }}"
  environment:
    ZSTD_CLEVEL: 10
  tags: offen

- name: Remove uncompressed previous version
  file: path={{ offen_root_dir }}/archives/{{ offen_current_version }} state=absent
  tags: offen
